Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSConnector.SyncConnection

    java.lang.Object
      java.lang.Thread
          org.apache.axis.transport.jms.JMSConnector.Connection
              org.apache.axis.transport.jms.JMSConnector.SyncConnection

All Implemented Interfaces:
  javax.jms.ExceptionListener, java.lang.Runnable

Enclosing class:
  JMSConnector

protected abstract class JMSConnector.SyncConnection
extends org.apache.axis.transport.jms.JMSConnector.Connection

Nested Class Summary
`protected class` | `JMSConnector.SyncConnection.SendSession`

Field Summary
`protected javax.jms.Connection` | `m_connection`
`protected boolean` | `m_isActive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`protected abstract JMSConnector.SyncConnection.SendSession` | `createSendSession(javax.jms.Connection connection)`
`java.lang.String` | `getClientID()`
`javax.jms.ConnectionFactory` | `getConnectionFactory()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUsername()`
`protected void` | `onConnect()`
`protected void` | `onException()`
`void` | `onException(javax.jms.JMSException exception)`
`protected void` | `onShutdown()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_connection

    protected javax.jms.Connection m_connection

### m_isActive

    protected boolean m_isActive

Method Detail

### createSendSession

    protected abstract JMSConnector.SyncConnection.SendSession createSendSession(javax.jms.Connection connection)
                                                                          throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### onConnect

    protected void onConnect()
                      throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### onException

    protected void onException()

### onShutdown

    protected void onShutdown()

### getConnectionFactory

    public javax.jms.ConnectionFactory getConnectionFactory()

### getClientID

    public java.lang.String getClientID()

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### onException

    public void onException(javax.jms.JMSException exception)

  Specified by:
    `onException` in interface `javax.jms.ExceptionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.